
@mixin font-face($file, $family, $weight, $style){
    $filepath: 'fonts/' + $family + '/' + $weight + '/' + $style + '/' + $file;
    @font-face {
        font-family: '#{$family}';
        font-weight: '#{$weight}';
        font-style: '#{$style}';

        src: url($filepath + '.eot'),
             url($filepath + '.eot?#iefix') format('embedded-opentype'),
             url($filepath + '.woff') format('woff'),
             url($filepath + '.ttf')  format('truetype'),
             url($filepath + '.svg#' + $style + '') format('svg');
    }
}

@mixin font-placeholder($file, $family, $weight, $style){

    %#{$family}-#{$weight}-#{$style} {
        font: {
                family: '#{$family}';
                weight: #{$weight};
                style: #{$style};
        }
    }

    %#{$family}-#{$weight} {
        font: {
                family: '#{$family}';
                weight: #{$weight};
                style: normal;
        }
    }

    %#{$family} {
        font: {
                family: '#{$family}';
                weight: normal;
                style: normal;
        }
    }

}


// @mixin button-transition ($color) {
//     background-color: $color;
//     transition-property: background-color;
//     transition-duration: 0.3s;
//
//     &:hover {
//         transition-property: background-color;
//         transition-duration: 0.6s;
//         background-color: darken($color, 10%);
//     }
// }


@mixin button-transition () {
    opacity: 1;
    transition-property: opacity;
    transition-duration: 0.3s;

    &:hover {
        opacity: 0.6;
        transition-property: opacity;
        transition-duration: 0.6s;
    }
}

@mixin thumbnail-transition ($color) {
    background-color: get-color($color, transparentize, 1);
    transition-property: opacity;
    transition-duration: 0.3s;

    &:hover {
        background-color: get-color($color, opacify, 1);
        transition-property: background-color;
        transition-duration: 0.6s;
    }
}
